
Figure - Bug #116964
【BSP】【VX1】【EVT2】【ST】【TP】【偶现】一台VX设备，在执行adb reboot压测时，出现屏幕不显示画
面，TP不报点，可以正常投屏，重启无法恢复
2023-03-15 17:16 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-15

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303131906

Resolution: INVALID Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 显示模块新屏异常，硬件无法通讯

Description

【前提条件】

None

【测试步骤】

1.烧写0068 user版本

2.OTA升级至 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303131906

3.执行adb reboot脚本压测

【预期结果】

3.每次都可以正常开机，显示正常

【实际结果】

3.重置至50多次后，突然屏幕不亮，adb可以识别，可以投屏

现象描述：

一个VX1的板子原来是正常的；

（中间有什么操作么？）

然后突然不亮屏幕了，点击触摸屏，也没有上报事件了；

adb 可以使用；

投屏软件可以投屏；

换其他屏也不会亮的，把屏换到其他板子上，可以亮；

logcat中一直报MAX975X的I2C通信错误；

reboot重启也不会好；

重新刷版本也不会好；

History

#1 - 2023-03-16 11:23 - BSP组-RD3_TSCD 贾顺旺

1）经过现场确认，现象描述更正如下：

一个VX1的板子原来是正常的；

然后突然不亮屏幕了，点击触摸屏，也没有上报事件了；

adb 可以使用；

投屏软件可以投屏；

换其他屏也不会亮的；

把屏换到其他板子上，可以亮。
logcat中一直报MAX975X的I2C通信错误；

reboot重启也不会好；

重新刷版本也不会好；

目前只发现一个VX1的板子出现了该现象；

2）分析：

01-01 08:07:15.618     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:07:15.618     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to read dev:0x4c addr:0x0013

01-01 08:07:15.618     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:07:15.618     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x4c addr:0x0010 value:0x00

01-01 08:07:15.619     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:07:15.619     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x4c addr:0x0001 value:0x01

01-01 08:07:15.619     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:07:15.619     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x4c addr:0x01ce value:0x4f

01-01 08:07:15.620     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:07:15.620     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x4c addr:0x0010 value:0x20

从日志看这里表示：

与MAX96752这个芯片的I2C通信没有成功（MAX96752是显示屏那一侧的）。

与MAX96755这个芯片的I2C通信是成功的（MAX96755是主板这一侧的）。

被测试的屏，使用其他VX1主板可以点亮，说明MAX96752没有损坏。

综上出问题的主板可能有两种原因导致屏幕不亮：

1）主板上的MAX96755的射频输出口（白色的同轴线）损坏或接触不良；

2）主板上的MAX96755本身的部分功能不正常；

目前只有一个VX1主板出现该现象，其他VX1主板未发现，分析是个例。请硬件同事帮忙检查该主板MAX96755及接口是否损坏。

#2 - 2023-03-16 17:52 - BSP组-RD3_TSCD 贾顺旺

- File max96755g连接器引脚电压.png added

两个VX1板子（一个可以亮屏、一个不可以亮屏）烧相同的程序，测量白色视频线插头处的信号做对比：

测量max96755g连接器引脚电压（详见附件图片上面1～4号引脚标记）

a)显示屏正常亮的VX1主板：

1）引脚：6.0V

2）引脚：0V

3）引脚：8.6V

4）引脚：0V

b)显示屏不亮的VX1主板：

1）引脚：0V

2）引脚：0V

3）引脚：11.7V

4）引脚：0V

如上显示屏不亮的主板连接器电压信号与显示屏正常亮的主板连接器电压信号明显不同，分析是不亮屏的VX1主板的max96755g芯片坏掉了。

#3 - 2023-03-20 10:13 - CD BSP-杜磊

- Status changed from New to NEED_INFO

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to 移动测试一组_CDTS 刘强

Hi, 刘强，

这块出问题的板子可能硬件有损坏，建议换根lcd的数据线再验证一下
#4 - 2023-03-23 14:38 - CDTS_TEST 王成

确认是否屏幕硬件问题，并报修

#5 - 2023-03-23 16:54 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP-杜磊

麻烦走下流程关闭问题

#6 - 2023-03-23 17:33 - CD BSP-杜磊

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to INVALID

- Root cause set to 显示模块新屏异常，硬件无法通讯

#7 - 2023-03-27 16:30 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

硬件问题关闭次issue

#8 - 2023-03-27 17:03 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

tp.txt 600 KB 2023-03-15 移动测试一组_CDTS 刘强

tp_all.txt 2.27 MB 2023-03-15 移动测试一组_CDTS 刘强

max96755g连接器引脚电压.png 1.57 MB 2023-03-16 BSP组-RD3_TSCD 贾顺旺
